Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet
Class Constants

    java.lang.Object
      com.ibm.portal.portlet.Constants

    public final class Constants

extends java.lang.Object

Constants that are required to use IBM extensions of the Java Portlet API

Since:
  5.1

Field Summary
`static java.lang.String` | `DYNAMIC_TITLE` Request attribute that allows to retrieve the portlet title that has been dynamically set by the latest rendered portlet.
`static java.lang.String` | `FEATURE_CLICK2ACTION` Request property indicating that click-2-action tags can be used.
`static java.lang.String` | `FEATURE_CONTEXTPASSING` Request property indicating that the property broker context passing mechanism can be used.
`static java.lang.String` | `FEATURE_DYNAMICUI` Request property indicating that the dynamic UI manager service can be used.
`static java.lang.String` | `FEATURE_EVENT_DISTRIBUTION_SERVICE` Request property indicating that the event distribution service can be used.
`static java.lang.String` | `FEATURE_MODEL` Request property indicating that the model API services can be used.
`static java.lang.String` | `FEATURE_PROPERTYBROKER` Request property indicating that property broker communication can be used.
`static java.lang.String` | `FEATURE_TASKMANAGER` Request property indicating that the task manager service can be used.
`static java.lang.String` | `FEATURE_USERMANAGEMENT` Request property indicating that the portal user management services can be used.
`static java.lang.String` | `PORTLET_CONFIG` Request attribute that allows to retrieve the portlet configuration of type `javax.portlet.PortletConfig`.
`static java.lang.String` | `PORTLET_REQUEST` Request attribute that allows to retrieve the current portlet request.
`static java.lang.String` | `PORTLET_RESPONSE` Request attribute that allows to retrieve the current portlet response.
`static java.lang.String` | `REQUEST_CLIENT_PROFILE` Attribute that allows to retrieve the CCPP client profile from a portlet request.
`static java.lang.String` | `REQUEST_HAS_INVISIBLE_PREFERENCES` Request property indicating that the most specifc data layer for the current portlet preferences associated with this request are hidden, because the validation failed during construction of the preferences.
`static java.lang.String` | `RESPONSE_REQUIRES_WSRP_REWRITING` Response property indicating that the content returned with a MimeResponse contains WSRP rewrite expressions and thus requires WSRP URL rewriting.
`static java.lang.String` | `WSRP_INVOCATION` Property indicating that the the portlet has been invoked via WSRP.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_CLIENT_PROFILE

    public static final java.lang.String REQUEST_CLIENT_PROFILE

  Attribute that allows to retrieve the CCPP client profile from a portlet request. The value of this request attribute is an instance of `javax.ccpp.Profile`.

  Since:
    5.1
  See Also:
    Constant Field Values

### DYNAMIC_TITLE

    public static final java.lang.String DYNAMIC_TITLE

  Request attribute that allows to retrieve the portlet title that has been dynamically set by the latest rendered portlet. The value of this attribute is a string or null if no title is available.

  Since:
    6.0
  See Also:
    Constant Field Values

### PORTLET_CONFIG

    public static final java.lang.String PORTLET_CONFIG

  Request attribute that allows to retrieve the portlet configuration of type `javax.portlet.PortletConfig`. The value of this attribute always is the portlet configuration associated with the current request.

  Since:
    6.1
  See Also:
    Constant Field Values

### PORTLET_REQUEST

    public static final java.lang.String PORTLET_REQUEST

  Request attribute that allows to retrieve the current portlet request. Depending on the current lifecycle phase the returned object will be of different type:
  Render phase
    `javax.portlet.RenderRequest`
  Action phase
    `javax.portlet.ActionRequest`
  Event phase
    `javax.portlet.EventRequest`
  Resource phase
    `javax.portlet.ResourceRequest`

  Since:
    6.1
  See Also:
    Constant Field Values

### PORTLET_RESPONSE

    public static final java.lang.String PORTLET_RESPONSE

  Request attribute that allows to retrieve the current portlet response. Depending on the current lifecycle phase the returned object will be of different type:
  Render phase
    `javax.portlet.RenderResponse`
  Action phase
    `javax.portlet.ActionResponse`
  Event phase
    `javax.portlet.EventResponse`
  Resource phase
    `javax.portlet.ResourceResponse`

  Since:
    6.1
  See Also:
    Constant Field Values

### FEATURE_TASKMANAGER

    public static final java.lang.String FEATURE_TASKMANAGER

  Request property indicating that the task manager service can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_PROPERTYBROKER

    public static final java.lang.String FEATURE_PROPERTYBROKER

  Request property indicating that property broker communication can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_CLICK2ACTION

    public static final java.lang.String FEATURE_CLICK2ACTION

  Request property indicating that click-2-action tags can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_DYNAMICUI

    public static final java.lang.String FEATURE_DYNAMICUI

  Request property indicating that the dynamic UI manager service can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_USERMANAGEMENT

    public static final java.lang.String FEATURE_USERMANAGEMENT

  Request property indicating that the portal user management services can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_CONTEXTPASSING

    public static final java.lang.String FEATURE_CONTEXTPASSING

  Request property indicating that the property broker context passing mechanism can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_MODEL

    public static final java.lang.String FEATURE_MODEL

  Request property indicating that the model API services can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.0
  See Also:
    Constant Field Values

### FEATURE_EVENT_DISTRIBUTION_SERVICE

    public static final java.lang.String FEATURE_EVENT_DISTRIBUTION_SERVICE

  Request property indicating that the event distribution service can be used. The property is set to a value if the feature is available and is not set (`null`) otherwise.

  Since:
    6.1
  See Also:
    Constant Field Values

### REQUEST_HAS_INVISIBLE_PREFERENCES

    public static final java.lang.String REQUEST_HAS_INVISIBLE_PREFERENCES

  Request property indicating that the most specifc data layer for the current portlet preferences associated with this request are hidden, because the validation failed during construction of the preferences. The property is set to a value in this case and is not set (`null`) otherwise.

  If the most specific data layer is hidden, the preferences object is built from default values, and a `save` call will implicitly overwrite and delete the hidden data.

  The hidden data can be retrieved using the portal model SPI, which allow to access all defined data without validating it.

  Since:
    6.0
  See Also:
    Constant Field Values

### RESPONSE_REQUIRES_WSRP_REWRITING

    public static final java.lang.String RESPONSE_REQUIRES_WSRP_REWRITING

  Response property indicating that the content returned with a MimeResponse contains WSRP rewrite expressions and thus requires WSRP URL rewriting. Note: this property needs only to be set if the portlet is "WSRP aware" and knows that the content it returns, contains such WSRP rewrite expressions. This can be the case when portlets return content for example with serveResource() which directly contains WSRP rewrite expressions in the markup, e.g. a file is served via serveResource(). The value of this property is a String representation of the boolean value `true` or `false`. The response property is not needed when the portlet uses the portlet API calls to generate URLs. Only for Standard API portlets.

  Since:
    7.0
  See Also:
    Constant Field Values

### WSRP_INVOCATION

    public static final java.lang.String WSRP_INVOCATION

  Property indicating that the the portlet has been invoked via WSRP. The property value is set to `"true"` if the invocation happened via WSRP, `null` otherwise.

  Since:
    7.0
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD